# 使用官方 Python 镜像作为基础镜像
FROM 192.168.1.36:5000/python:3.9-slim
ENV LANG=en_US.UTF-8
# 设置工作目录
WORKDIR /app

# 复制当前目录内容到工作目录
COPY . /app

# 安装依赖项（如果有）
RUN set -ex \
    && pip3 install -r requirements.txt -i https://pypi.tuna.tsinghua.edu.cn/simple
# 设置 ENTRYPOINT 为 Python 脚本
ENTRYPOINT ["python", "processing_limit_power_by_machines.py"]
# 执行 Python 脚本
CMD []